---
apiVersion: resourcemanager.cnrm.cloud.google.com/v1beta1
kind: Project
metadata:
  annotations:
    cnrm.cloud.google.com/auto-create-network: 'false'
  labels:
    entity: {{ .Values.global.entity }}
    env: {{ .Values.global.env }}
    role: sharedvpc
  name: {{ include "svpc.projectId" . }}
spec:
  billingAccountRef:
    external: {{ .Values.global.billingAccount }}
  folderRef:
    name: {{ .Values.global.env }}-main
  name: {{ include "svpc.project" . }}
  resourceID: {{ include "svpc.projectId" . }}
